# FoundationClasses
TKMath
Convert

# Convert_EllipseToBSplineCurve Class Reference

This algorithm converts a ellipse into a rational B-spline curve.
The ellipse is represented an Elips2d from package gp with
the parametrization :
P (U) =
Loc + (MajorRadius * Cos(U) * Xdir + MinorRadius * Sin(U) * Ydir)
where Loc is the center of the ellipse, Xdir and Ydir are the
normalized directions of the local cartesian coordinate system of
the ellipse. The parametrization range is U [0, 2PI].
KeyWords :
Convert, Ellipse, BSplineCurve, 2D .
.

`#include <Convert_EllipseToBSplineCurve.hxx>`

Inheritance diagram for Convert_EllipseToBSplineCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Convert_EllipseToBSplineCurve (const gp_Elips2d &E, const Convert_ParameterisationType Parameterisation=Convert_TgtThetaOver2)
| The equivalent B-spline curve has the same orientation as the ellipse E. .
Standard_EXPORT | Convert_EllipseToBSplineCurve (const gp_Elips2d &E, const Standard_Real U1, const Standard_Real U2, const Convert_ParameterisationType Parameterisation=Convert_TgtThetaOver2)
| The ellipse E is limited between the parametric values U1, U2. The equivalent B-spline curve is oriented from U1 to U2 and has the same orientation as E. Raised if U1 = U2 or U1 = U2 + 2.0 * Pi .

## Constructor & Destructor Documentation

Standard_EXPORT Convert_EllipseToBSplineCurve::Convert_EllipseToBSplineCurve | ( | const gp_Elips2d & | E,
|  | const Convert_ParameterisationType | Parameterisation = `Convert_TgtThetaOver2`
| ) |

Standard_EXPORT Convert_EllipseToBSplineCurve::Convert_EllipseToBSplineCurve | ( | const gp_Elips2d & | E,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Convert_ParameterisationType | Parameterisation = `Convert_TgtThetaOver2`
| ) |

## Member Function Documentation

void Convert_EllipseToBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

void* Convert_EllipseToBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

void* Convert_EllipseToBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Convert_ConicToBSplineCurve.

The documentation for this class was generated from the following file:

- Convert_EllipseToBSplineCurve.hxx